summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-proxy/dnsproxy/files
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-proxy/dnsproxy/files')
-rw-r--r--net-proxy/dnsproxy/files/dnsproxy-1.16-include.patch10
-rw-r--r--net-proxy/dnsproxy/files/dnsproxy.confd3
-rw-r--r--net-proxy/dnsproxy/files/dnsproxy.initd31
3 files changed, 44 insertions, 0 deletions
diff --git a/net-proxy/dnsproxy/files/dnsproxy-1.16-include.patch b/net-proxy/dnsproxy/files/dnsproxy-1.16-include.patch
new file mode 100644
index 000000000000..96296f5ed2d8
--- /dev/null
+++ b/net-proxy/dnsproxy/files/dnsproxy-1.16-include.patch
@@ -0,0 +1,10 @@
+--- dnsproxy.c.orig 2010-01-11 16:02:00.000000000 +0100
++++ dnsproxy.c 2010-10-27 05:07:05.000000000 +0200
+@@ -28,6 +28,7 @@
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <string.h>
++#include <grp.h> /* setgroups() */
+ #include <unistd.h>
+
+ #define GLOBALS 1
diff --git a/net-proxy/dnsproxy/files/dnsproxy.confd b/net-proxy/dnsproxy/files/dnsproxy.confd
new file mode 100644
index 000000000000..48f8a51e57f0
--- /dev/null
+++ b/net-proxy/dnsproxy/files/dnsproxy.confd
@@ -0,0 +1,3 @@
+# Options for dnsproxy daemon (rarely you need to change these)
+DNSPROXY_CONFFILE="/etc/dnsproxy/dnsproxy.conf"
+DNSPROXY_PIDFILE="/var/run/dnsproxy.pid"
diff --git a/net-proxy/dnsproxy/files/dnsproxy.initd b/net-proxy/dnsproxy/files/dnsproxy.initd
new file mode 100644
index 000000000000..000fc95eaa2b
--- /dev/null
+++ b/net-proxy/dnsproxy/files/dnsproxy.initd
@@ -0,0 +1,31 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [ ! -e "${DNSPROXY_CONFFILE}" ] ; then
+ eerror "You need to create and select the configuration file first."
+ eerror "An example can be found in /etc/dnsproxy/dnsproxy.conf.dist"
+ return 1
+ fi
+}
+
+start() {
+ ebegin "Starting dnsproxy"
+ checkconfig && \
+ start-stop-daemon --start --make-pidfile \
+ --quiet -b --pidfile ${DNSPROXY_PIDFILE} \
+ --exec /usr/sbin/dnsproxy -- -c "${DNSPROXY_CONFFILE}"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping dnsproxy"
+ start-stop-daemon --stop --quiet \
+ --pidfile ${DNSPROXY_PIDFILE}
+ eend $?
+}